.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the ConvexPolygonShape.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_ConvexPolygonShape:

ConvexPolygonShape
==================

**Inherits:** :ref:`Shape<class_shape>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Convex polygon shape for 3D physics.

Member Variables
----------------

  .. _class_ConvexPolygonShape_points:

- :ref:`PoolVector3Array<class_poolvector3array>` **points** - The list of 3D points forming the convex polygon shape.


Description
-----------

Convex polygon shape resource, which can be added to a :ref:`PhysicsBody<class_physicsbody>` or area.

